Loading...
Searching...
No Matches
blackoildiffusionmodule.hh File Reference

Classes required for molecular diffusion. More...

`#include <dune/common/fvector.hh>`
`#include <opm/material/common/Valgrind.hpp>`
`#include <opm/models/blackoil/blackoilbioeffectsmodules.hh>`
`#include <opm/models/discretization/common/fvbaseproperties.hh>`
`#include <array>`
`#include <stdexcept>`

Go to the source code of this file.

## Classes

class | Opm::BlackOilDiffusionModule< TypeTag, false >
| Provides the auxiliary methods required for consideration of the diffusion equation. More...
class | Opm::BlackOilDiffusionModule< TypeTag, true >
| Provides the auxiliary methods required for consideration of the diffusion equation. More...
class | Opm::BlackOilDiffusionIntensiveQuantities< TypeTag, false >
| Provides the volumetric quantities required for the calculation of molecular diffusive fluxes. More...
class | Opm::BlackOilDiffusionIntensiveQuantities< TypeTag, true >
| Provides the volumetric quantities required for the calculation of molecular diffusive fluxes. More...
class | Opm::BlackOilDiffusionExtensiveQuantities< TypeTag, false >
| Provides the quantities required to calculate diffusive mass fluxes. More...
class | Opm::BlackOilDiffusionExtensiveQuantities< TypeTag, true >
| Provides the quantities required to calculate diffusive mass fluxes. More...

## Namespaces

namespace | Opm
| This file contains a set of helper functions used by VFPProd / VFPInj.

## Variables

template<typename TypeTag>
bool | Opm::BlackOilDiffusionModule< TypeTag, true >::use_mole_fraction_

## Detailed Description

Classes required for molecular diffusion.